> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment purposes

> 
 Returns a list of payment purposes based on the recipient's country and currency
  



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json get /payment-purposes
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-purposes:
    get:
      tags:
        - Payment purposes
      summary: List payment purposes
      description: |2-

         Returns a list of payment purposes based on the recipient's country and currency
          
      operationId: findPaymentPurposes
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: currencyCode
          in: query
          schema:
            description: The currency code, in ISO-4217 format.
            type:
              - string
            pattern: ^[A-Z]{3}$
            example: USD
          required: true
        - name: countryCode
          in: query
          schema:
            description: The country code, in ISO-3166 format.
            type:
              - string
            pattern: ^[A-Z]{2}$
            example: GB
          required: true
        - name: recipientType
          in: query
          schema:
            description: The type of the recipient.
            type:
              - string
            enum:
              - business
              - charity
              - individual
            example: business
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        defaultPurpose:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The purpose of the payment.
                          example: Commission
                        additionalPurpose:
                          type:
                            - string
                            - 'null'
                          maxLength: 512
                        defaultCode:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                      required:
                        - defaultPurpose
                        - additionalPurpose
                        - defaultCode
                required:
                  - rows
                example:
                  rows:
                    - defaultPurpose: Commission
                      additionalPurpose: string
                      defaultCode: string
      security:
        - CommonAuth:
            - recipients:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/payment-purposes?accountId={{accountId}}&currencyCode={{currencyCode}}&countryCode={{countryCode}}&recipientType={{recipientType}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````